> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get DiscountSpecification entities.

- Product: Discount specifications
- Section: DiscountSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/discount_specifications/`

## Query parameters

### `date`

Type: `string`  
Required: no  

### `referenceDate`

Type: `string`  
Required: no  

### `accommodationPriceComponentGroup`

Type: `number`  
Required: no  

### `description`

Type: `string`  
Required: no  

### `accommodation`

Type: `number`  
Required: no  

### `archived`

Type: `boolean`  
Required: no  

### `dateFrom`

Type: `string`  
Format: `date-time`  
Required: no  

### `dateTo`

Type: `string`  
Format: `date-time`  
Required: no  

### `offset`

Type: `number`  
Required: no  

### `limit`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.discountSpecifications.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/discount_specifications/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "description": "description",
    "validFrom": "validFrom",
    "validThrough": "validThrough",
    "locale": "locale",
    "created": "created",
    "periods": [
      {}
    ],
    "divisions": [
      {
        "id": 1000
      }
    ],
    "validFromReservationDate": "validFromReservationDate",
    "validThroughReservationDate": "validThroughReservationDate",
    "calculationStrategy": "amount",
    "type": "normal",
    "discountAmount": "discountAmount",
    "discountPercentage": "discountPercentage",
    "discountDays": 0,
    "roundUpToIntegerValues": false,
    "hasEligibleDiscountCode": false,
    "hasEligibleReservationPeriod": false,
    "hasEligibleMinNumOfDays": false,
    "hasEligibleMinNumOfPersons": false,
    "hasEligibleNumOfDays": false,
    "hasEligibleNumOfDaysBeforeArrival": false,
    "eligibleMinNumOfDays": 0,
    "eligibleMinNumOfPersons": 0,
    "eligibleNumOfDays": 0,
    "eligibleNumOfDaysBeforeArrival": 0,
    "eligibleForTourOperatorReservations": false,
    "combineWithOtherDiscounts": true,
    "package": true,
    "seasonal": true,
    "year": true,
    "relativeToDiscountPeriod": false,
    "relatedToCustomAccommodationPriceComponentGroups": false,
    "promotional": true,
    "archived": "archived",
    "modified": "modified"
  }
]
```

##### Schema

###### DiscountSpecification[]

Type: `DiscountSpecification[]`  

###### DiscountSpecification

Type: `DiscountSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `validFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `validThrough`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `validFromReservationDate`

Type: `string`  
Format: `date-time`  
Required: no  

###### `validThroughReservationDate`

Type: `string`  
Format: `date-time`  
Required: no  

###### `calculationStrategy`

Type: `string`  
Required: no  
Default: `amount`  

###### `type`

Type: `string`  
Required: no  
Default: `normal`  

###### `discountAmount`

Type: `string`  
Required: no  

###### `discountPercentage`

Type: `string`  
Required: no  

###### `discountDays`

Type: `number`  
Required: no  

###### `roundUpToIntegerValues`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleDiscountCode`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleReservationPeriod`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleMinNumOfDays`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleMinNumOfPersons`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleNumOfDays`

Type: `boolean`  
Required: no  
Default: `false`  

###### `hasEligibleNumOfDaysBeforeArrival`

Type: `boolean`  
Required: no  
Default: `false`  

###### `eligibleMinNumOfDays`

Type: `number`  
Required: no  

###### `eligibleMinNumOfPersons`

Type: `number`  
Required: no  

###### `eligibleNumOfDays`

Type: `number`  
Required: no  

###### `eligibleNumOfDaysBeforeArrival`

Type: `number`  
Required: no  

###### `eligibleForTourOperatorReservations`

Type: `boolean`  
Required: no  
Default: `false`  

###### `combineWithOtherDiscounts`

Type: `boolean`  
Required: no  
Default: `true`  

###### `package`

Type: `boolean`  
Required: no  
Default: `true`  

###### `seasonal`

Type: `boolean`  
Required: no  
Default: `true`  

###### `year`

Type: `boolean`  
Required: no  
Default: `true`  

###### `relativeToDiscountPeriod`

Type: `boolean`  
Required: no  
Default: `false`  

###### `relatedToCustomAccommodationPriceComponentGroups`

Type: `boolean`  
Required: no  
Default: `false`  

###### `promotional`

Type: `boolean`  
Required: no  
Default: `true`  

###### `locale`

Type: `string`  
Required: yes  

###### `archived`

Type: `string`  
Format: `date-time`  
Required: no  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `periods`

Type: `DiscountSpecificationPeriod[]`  
Required: yes  

###### DiscountSpecificationPeriod

Type: `DiscountSpecificationPeriod`  

###### `divisions`

Type: `object[]`  
Required: yes  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/discount-specifications/methods/list/)
- [TypeScript Markdown](/discount-specifications/methods/list.md?lang=typescript)
- [curl Markdown](/discount-specifications/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/discount-specifications/llms.txt)
- [snapshot llms.txt](/discount-specifications/llms.txt)
